Bug 504955 - RHEL5.4: cxgb3 update
RHEL5.4: cxgb3 update
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Doug Ledford
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 04:13 EDT by Divy Le Ray
Modified: 2009-09-02 04:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:56:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Path series updating cxgb3 (58.63 KB, application/bzip2)
2009-06-10 04:28 EDT, Divy Le Ray
no flags Details

  None (edit)
Description Divy Le Ray 2009-06-10 04:13:15 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Divy Le Ray 2009-06-10 04:20:57 EDT
I inadvertantly pushed the Enter key stroke in the original post.
Sorry about that.
I open this bug to sumbit a patch series against 2.6.18-152. It is a backport of the following patches committed to kernel.org:

commit 5e68b772e6efd189d6aca76f6872fb75d51ace60
Author: Divy Le Ray <divy@chelsio.com>
Date:   Thu Mar 26 16:39:29 2009 +0000

    cxgb3: map entire Rx page, feed map+offset to Rx ring.

    DMA mapping can be expensive in the presence of iommus.
    Reduce the Rx iommu activity by mapping an entire page, and provide the H/W
    the mapped address + offset of the current page chunk.
    Reserve bits at the end of the page to track mapping references, so the
    page can be unmapped.

    Signed-off-by: Divy Le Ray <divy@chelsio.com>
    Signed-off-by: David S. Miller <davem@davemloft.net>

Commit 5e68b772e6efd189d6aca76f6872fb75d51ace60
cxgb3: map entire Rx page, feed map+offset to Rx ring.

    introduced a regression on platforms defining DECLARE_PCI_UNMAP_ADDR() and
    related macros as no-ops.

    Rx descriptors are fed with the a page buffer bus address + page chunk offset.
    The page buffer bus address is set and retrieved through pci_unamp_addr_set(),
    pci_unmap_addr().
    These functions being meaningless on x86 (if CONFIG_DMA_API_DEBUG is not set).
    The HW ends up with a bogus bus address.

    This patch saves the page buffer bus address for all plaftorms.

    Signed-off-by: Divy Le Ray <divy@chelsio.com>
    Signed-off-by: David S. Miller <davem@davemloft.net>
    
commit c22c8149313ee85c912e7b77a7afd04be8b8cba8
Author: Divy Le Ray <divy@chelsio.com>
Date:   Thu May 28 11:23:08 2009 +0000

    cxgb3: link fault fixes

    Do not call t3_link_fault() under spinlock, as it calls msleep().
    Besides, only the access to pi->link_fault needs to be serialized.

    Also initialize local variables before checking the link status,
    link state fields might otherwise end up containing garbage.

    Signed-off-by: Divy Le Ray <divy@chelsio.com>
    Signed-off-by: David S. Miller <davem@davemloft.net>
    
commit 744514249f0656e2d50bb57585241670c2d4f32b
Author: Divy Le Ray <divy@chelsio.com>
Date:   Fri May 29 12:52:44 2009 +0000

    cxgb3: Add Aeluros 2020 phy support

    Add support for the AEL2020 phy.
    Add PCI IDs of the boards using this phy.

    Signed-off-by: Divy Le Ray <divy@chelsio.com>
    Signed-off-by: David S. Miller <davem@davemloft.net>
    
commit f22a563b0a4c2a84b6ff8831306532b64c9c1747
Author: Divy Le Ray <divy@chelsio.com>
Date:   Fri May 29 12:52:49 2009 +0000

    cxgb3: add support for the Aquantia 10G-BT phy

    Add support for the Aquantia AQ1002 10G-BaseT phy.

    Signed-off-by: Divy Le Ray <divy@chelsio.com>
    Signed-off-by: David S. Miller <davem@davemloft.net>
    
commit 6ba5f9c74365263db161941b1e7467cdba06a5fe
Author: Divy Le Ray <divy@chelsio.com>
Date:   Wed Jun 3 13:38:59 2009 +0000

    cxgb3: Update FW to 7.4.0

    Update FW to 7.4.
    Bump up driver revision.

    Signed-off-by: Divy Le Ray <divy@chelsio.com>
    Signed-off-by: David S. Miller <davem@davemloft.net>
Comment 2 Divy Le Ray 2009-06-10 04:28:52 EDT
Created attachment 347171 [details]
Path series updating cxgb3
Comment 3 RHEL Product and Program Management 2009-06-15 11:11:35 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Don Zickus 2009-06-18 10:52:13 EDT
in kernel-2.6.18-154.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 7 errata-xmlrpc 2009-09-02 04:56:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.